Models
Push a model to Hugging Face
POST
/
v1
/
models
/
{model_id}
/
push-to-hf
Push a model to Hugging Face
curl --request POST \
--url https://api.veri.studio/v1/models/{model_id}/push-to-hf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repo": "<string>",
"private": true
}
'import requests
url = "https://api.veri.studio/v1/models/{model_id}/push-to-hf"
payload = {
"repo": "<string>",
"private": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({repo: '<string>', private: true})
};
fetch('https://api.veri.studio/v1/models/{model_id}/push-to-hf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"id": "<string>",
"model_id": "<string>",
"repo": "<string>",
"private": true,
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"progress_bytes": 123,
"total_bytes": 123,
"hf_repo_url": "<string>",
"error": "<string>",
"completed_at": "2023-11-07T05:31:56Z"
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Path Parameters
Model ID from the model library
Body
application/json
Response
Export started; poll GET /v1/hf_exports/{id} for progress
launching | uploading | completed | failed | cancelled
Set on completion; the pushed repo's URL.
Push a model to Hugging Face
curl --request POST \
--url https://api.veri.studio/v1/models/{model_id}/push-to-hf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repo": "<string>",
"private": true
}
'import requests
url = "https://api.veri.studio/v1/models/{model_id}/push-to-hf"
payload = {
"repo": "<string>",
"private": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({repo: '<string>', private: true})
};
fetch('https://api.veri.studio/v1/models/{model_id}/push-to-hf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"id": "<string>",
"model_id": "<string>",
"repo": "<string>",
"private": true,
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"progress_bytes": 123,
"total_bytes": 123,
"hf_repo_url": "<string>",
"error": "<string>",
"completed_at": "2023-11-07T05:31:56Z"
}
